Time

Create overtime request

POST
/api/public/v3/time/overtime_requests

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/public/v3/time/overtime_requests" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'employee_id=string&date=string&starts_at=string&ends_at=string&comment=string'
{  "data": {    "id": 0,    "date": "string",    "starts_at": "string",    "ends_at": "string",    "minutes": 0,    "comment": "string",    "state": "string",    "project": {      "id": 0,      "name": "string"    },    "employee": {      "id": 0,      "first_name": "string",      "last_name": "string"    },    "created_at": "string",    "updated_at": "string"  }}